#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 25. Graphical Environment Libraries

- Prev

  libnotify-0.8.8

- Next

  Pango-1.57.1

- Up
- Home

# libxklavier-5.4

## Introduction to libxklavier

The libxklavier package contains a utility library for X keyboard.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://people.freedesktop.org/~svu/libxklavier-5.4.tar.bz2

- Download MD5 sum: 13af74dcb6011ecedf1e3ed122bd31fa

- Download size: 384 KB

- Estimated disk space required: 5.2 MB

- Estimated build time: less than 0.1 SBU

### libxklavier Dependencies

#### Required

GLib-2.88.0 (GObject Introspection recommended), ISO Codes-4.20.1, libxml2-2.15.3 and Xorg Libraries

#### Optional

GTK-Doc-1.36.1 and Vala-0.56.19

## Installation of libxklavier

Install libxklavier by running the following commands:

    ./configure --prefix=/usr --disable-static &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--enable-gtk-doc`: This parameter is normally used if GTK-Doc is installed and you wish to rebuild and install the API documentation. It is broken for this package due to the use of a long deprecated gtk-doc program that is no longer available.

## Contents

Installed Programs: None
Installed Library: libxklavier.so
Installed Directories: /usr/include/libxklavier and /usr/share/gtk-doc/html/libxklavier

### Short Descriptions

`libxklavier.so` | contains XKB utility functions

- Prev

  libnotify-0.8.8

- Next

  Pango-1.57.1

- Up
- Home